Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime.objectprovider
Class CustomResultObjectProvider.ROPInfo

    java.lang.Object
      |
      +--com.solarmetric.kodo.runtime.objectprovider.CustomResultObjectProvider.ROPInfo

Enclosing class:
  CustomResultObjectProvider

public static class CustomResultObjectProvider.ROPInfo
extends Object

Data structure that holds information about the object currently being loaded, and a reference to the `CustomResultObjectProvider` that should be used to load the information into a `StateManagerImpl`. This is implemented as a separate class than `CustomResultObjectProvider` so that a single `CustomResultObjectProvider` can be used for multiple objects.

Field Summary
`Object` | `data` The data to load/initialize a `StateManagerImpl` with.
`ClassMetaData` | `meta` The `ClassMetaData` that `data` represents.
`CustomResultObjectProvider` | `owner` The `CustomResultObjectProvider` to use to process this object.

Constructor Summary
`CustomResultObjectProvider.ROPInfo(CustomResultObjectProvider owner, Object data, ClassMetaData meta)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### data

    public final Object data

  The data to load/initialize a `StateManagerImpl` with.

### owner

    public final CustomResultObjectProvider owner

  The `CustomResultObjectProvider` to use to process this object.

### meta

    public final ClassMetaData meta

  The `ClassMetaData` that `data` represents.

Constructor Detail

### CustomResultObjectProvider.ROPInfo

    public CustomResultObjectProvider.ROPInfo(CustomResultObjectProvider owner,
                                              Object data,
                                              ClassMetaData meta)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.4.3 generated on March 27 2003
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.